Lucene++ - a full-featured, c++ search engine
API Documentation

Data Structures | Namespaces
PhraseScorer.h File Reference
`#include "Scorer.h"`

Go to the source code of this file.

## Data Structures

class | Lucene::PhraseScorer

Scoring functionality for phrase queries. A document is considered matching if it contains the phrase-query terms at "valid" positions. What "valid positions" are depends on the type of the phrase query: for an exact phrase query terms are required to appear in adjacent locations, while for a sloppy phrase query some distance between the terms is allowed. The abstract method {} of extending classes is invoked for each document containing all the phrase query terms, in order to compute the frequency of the phrase query in that document. A non zero frequency means a match. More...

## Namespaces

| Lucene

clucene.sourceforge.net